postinstall (8.3.6+nmu1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New postinstall

 -- adrianomorselli <dev@ufficiozero.org>  Thu, 06 Feb 2025 15:01:27 +0100

postinstall (8.3.6) xia; urgency=medium

  [ Michael Webster ]
  * Fix wrapping and alignment of Flatpak preference labels.
  * Update flatpak match info.

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 19 Dec 2024 16:20:47 +0000

postinstall (8.3.5) xia; urgency=medium

  [ Michael Webster ]
  * Simplify how flatpak addons are displayed.

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 03 Dec 2024 10:16:55 +0000

postinstall (8.3.4) xia; urgency=medium

  [ Michael Webster ]
  * Load glade files using GResource.
  * Use Gio for checking network connectivity when an operation fails.
  * Move screenshot and icon generators to a separate file.
  * Remove dependency, references to AppStream.
  * Make debug environment variable the same as mint-common
  * Adapt to mint-common installer changes.
  * Limit number of rsvg threads.
  * Remove postinstall-remove-app.
  * search: Check keywords also.

  [ rlatosky ]
  * Add software sources into submenu (Adding code from PR #382) (#432)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 26 Nov 2024 10:40:00 +0000

postinstall (8.3.3) wilma; urgency=medium

  [ Michael Webster ]
  * Guard against flatpak support in some recent changes.
  * Add a couple more possibilities for .desktop file names when showing the 'launch' button.
  * Fix command-line execution for listing packages.

 -- Clement Lefebvre <root@ufficiozero.com>  Sun, 04 Aug 2024 13:49:11 +0100

postinstall (8.3.2) wilma; urgency=medium

  [ Michael Webster ]
  * Update apt-flatpak match info.
  * Fix makepot script.
  * postinstall-remove-app.py: Fix a potential error if attempting to remove a not-installed app.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * prefs.py: Fix typo.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * Improve search for screenshots on debian.net.
  * Don't try to start the banner slideshow in low resolution mode.
  * Don't try to fix description formatting.
  * debian/control: Add missing dependencies.

  [ Clement Lefebvre ]
  * Update favorites

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 17 Jul 2024 16:00:40 +0100

postinstall (8.3.1) wilma; urgency=medium

  [ Michael Webster ]
  * debian/control: Add lxml dependency (needed by bs4).
  * Use only large images for the debian.net screenshot harvester.

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 21 Jun 2024 17:05:00 +0100

postinstall (8.3.0) wilma; urgency=medium

  [ Michael Webster ]
  * flatpak match data: Add a second entry for steam:i386.
  * Update flatpak match data.

  [ Ulrik de Muelenaere ]
  * Add a setting to filter apt/Flatpak results for the same application, with a fix for search sorting (#398)

  [ Michael Webster ]
  * Add a verified badge for flatpaks from Flathub.
  * Cleanup some files.

  [ Alexander K ]
  * Speed up initialization by optimizing package sorting
  * Initialize application in a thread for a responsive GUI

  [ Michael Webster ]
  * Add script to check category lists for non-existent packages.
  * Update test script to compile settings schemas.
  * Use AppStream instead of AppStreamGlib.
  * Rework search preferences submenu, add header row for search filtering options.
  * Flag unverified Flatpaks, not verified, display developer name when available.
  * Don't call self.on_installer_ready on a thread.
  * Misc. optimizations mainly aimed at startup time.
  * Use a different message in the busy view during startup.
  * Clean up, add some more benchmarking to costly operations.
  * Handle some API breaks between AppStream versions.
  * Add missing icon.
  * Remove a leftover print statement.
  * Use a static image instead of a spinner during app startup.
  * Add a preferences page, move search settings there.
  * Hide unverified Flatpaks by default, discourage them otherwise.
  * When showing installed apps, always show all Flatpaks.

  [ Clement Lefebvre ]
  * Rephrase warnings/badge/tooltips for unverified flatpaks
  * l10n: Update POT
  * l10n: Generate files

  [ Michael Webster ]
  * Try the project_group if developer and developer_name are missing from appdata.

  [ Michael Webster ]
  * apt_flatpak_matcher.py: Write output files after each iteration instead of waiting until the end.
  * Update apt<->flatpak matches.

  [ Corbin Auriti ]
  * Add Banner Slideshow using Gtk.Stack with nice animations (#417)

  [ Michael Webster ]
  * Recognize the new apt steam-installer package.
  * banner: Ignore banner apps with no pkginfo.
  * Overlay the banner dots on the banner's bottom to save space.
  * Don't use symbolic banner dots, override some more css for them.
  * Use https for debian.net screenshot lookups, improve screenshots for deb packages.
  * Reset the screenshot controls when loading a new package.
  * Use the cached 'developer' field instead of relying on appstream.
  * Pause the banner timer when not on the landing page, don't start it until postinstall is done initializing.
  * Remove the 'steam' package from featured/banner apps, only allow 'steam-installer'

  [ Corbin Auriti ]
  * fix dot click error (#425)

 -- Clement Lefebvre <root@ufficiozero.com>  Sun, 16 Jun 2024 11:23:35 +0100

postinstall (8.2.9) virginia; urgency=medium

  [ Michael Webster ]
  * Fix default window sizes for normal and low-resolution mode.
  * Update flatpak match info.

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate files

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 27 Nov 2023 14:43:53 +0000

postinstall (8.2.8) victoria; urgency=medium

  * flowbox: Only allow 3 children per row

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 29 Jun 2023 17:51:13 +0200

postinstall (8.2.7) victoria; urgency=medium

  [ Michael Webster ]
  * Fix screenshot downloading a relative url is provided.
  * Don't use `xx disk space freed` when viewing an installed package, just show its size.

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 26 Jun 2023 10:34:51 +0200

postinstall (8.2.6) victoria; urgency=medium

  [ Michael Webster ]
  * Try other ways to get a flatpak's desktop file if appstream info isn't available.
  * Update flatpak match info.

  [ kacperpaczos ]
  * Update flatpak match info.

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 14 Jun 2023 09:22:55 +0200

postinstall (8.2.5) victoria; urgency=medium

  [ Michael Webster ]
  * Reset the stars count labels whenever the details view is displayed.
  * Update flatpak match data.

  [ hduelme ]
  * replace equality None check with identity None check (#362)

  [ Michael Webster ]
  * search: consider match location (name, summary, description) before ordering by score and alphabetically.
  * Use a different tooltip when dep resolution fails for removing a package.
  * Update flatpak match info.

  [ wilfison ]
  * simplifies UI of VerticalPackageTile
  * ignore glade and python temporary files
  * bugfix: no category VerticalPackageTile
  * add sections and categories to landing page
  * update Details Page layout
  * show package type only if it's a flatpack
  * fix icon names
  * convert and update featured images to svg
  * convert featured list to json file
  * update FeatureTile with new design
  * add CTA button in FeatureTile

  [ Clement Lefebvre ]
  * tile: Always show the summary
  * FeatureTile: Fix clicking outside of the see-more button
  * FeatureTile: More spacing, align button to the right
  * Top rated: Have 9 tiles
  * Top-rated/popular: Prefer non-installed apps
  * Rename function
  * Top Rated: Get list from picks.list
  * Round banner and add a bit of margin between banner and scrolledwindow
  * Rename featured -> banner
  * Rename top-rated -> featured, popular -> top-rated.
  * Don't show the banner app in featured
  * Add icons to categories and subcategories
  * Add flatpaks to the list of featured apps
  * Remove unpopular/installed apps from featured list
  * Improve quality of installed mark icon
  * Remove debug print statements
  * Include flatpaks in top rated apps
  * Update featured/banner apps
  * Banner: Increase title font, don't expand icon.
  * CSD window: Reduce vertical footprint by removing the toolbar
  * Banner: Indicate if selected app is a flatpak
  * Tune the score formula
  * l10n: Update POT

  [ kacperpaczos ]
  * Improvements in appearance (#365)

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 05 Jun 2023 13:31:13 +0100

postinstall (8.2.4) vera; urgency=medium

  [ Michael Webster ]
  * Add actions workflow.
  * build.yml: missing comma.
  * Remove xplayer from suggested software.
  * Update apt-flatpak match info.
  * Don't set the cancellable on an icon when it fails - it prevents the fallback icon from loading.
  * Make the number of apps shown in search results or category listings divisible by 3.
  * Only add screenshots on the Gtk thread.

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 11 Jan 2023 11:41:38 +0000

postinstall (8.2.3) vera; urgency=medium

  [ Michael Webster ]
  * Update apt/flatpak matches.
  * Fix review info not being displayed in categories and search results.
  * Make sure to always use the proper flatpak symbolic icon.
  * Name the GApplication, fix re-selection of the same app while still in the details page, provide error dialogs with the parent window.
  * Fix postinstall-remove-app.
  * Bump mint-common version.

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 15 Dec 2022 12:54:07 +0000

postinstall (8.2.2) vera; urgency=medium

  * Fix exception in low resolution

 -- Clement Lefebvre <root@ufficiozero.com>  Sat, 03 Dec 2022 12:54:06 +0000

postinstall (8.2.1) vera; urgency=medium

  [ Michael Webster ]
  * Fix some navigation and event issues.
  * Add timeouts for all downloads (reviews, screenshots, icons), and handle such failures, fix some missing-screenshot behavior.
  * Don't break the landing page if the featured app fails to load.
  * Fix some visual things - spacing more consistent, stray separator.
  * Check that the screenshot stack is realized before trying to use its window.

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 02 Dec 2022 17:20:54 +0000

postinstall (8.2.0) vera; urgency=medium

  [ hdulme ]
  * replace equality None check with identity None check
  * simplify boolean check in reviews.py
  * remove redundant parentheses

  [ monsta ]
  * remove apt and aptdaemon dependencies (#348)

  [ Michael Webster ]
  * Changes for mintcommon refactoring, rework UI (#336)

  [ Clement Lefebvre ]
  * Add missing dependency

  [ Michael Webster ]
  * Distinguish between multiple remotes.

  [ Clement Lefebvre ]
  * Depend on mint-common >= 2.2.1

  [ Michael Webster ]
  * Use scaling instead of a pango size for star counts.
  * Use ujson, not json
  * Don't use ujson (api missing in mint 20's version), update popular widgets when reviews are updated.
  * Fix selecting the featured app.
  * Don't show the flatpak emblem at all on system package tiles, show the system package icon instead, but only on search/category results, use cursor to hint at screenshot enlargement, use a busy cursor instead of a spinner in the screenshot window.

  [ Clement Lefebvre ]
  * Fix import

  [ Michael Webster ]
  * Don't feature an installed package, change the cursor for the featured app to hint that it's clickable, remove an unused glade object, fix screenshot window cursor determination.
  * postinstall.glade: Use attributes instead of pango markup.

  [ Clement Lefebvre ]
  * Fix typo
  * Size: Don't add info which doesn't help
  * Fix msgids

  [ Michael Webster ]
  * Remove unused strings from glade.
  * Express disk space/download sizes more simply.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 30 Nov 2022 19:19:39 +0000

postinstall (8.1.2) vanessa; urgency=medium

  [ Michael Webster ]
  * Don't allow the 'wine' package to appear in the main edition.

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 15 Jul 2022 16:38:01 +0200

postinstall (8.1.1) vanessa; urgency=medium

  [ Michael Webster ]
  * search: Add a match against flatpak packages' display names.
  * focus: Don't move focus to the search result list automatically after a search completes.
  * categories: Don't take the keyboard focus from the search entry when a category is selected.

  [ Eden ]
  * Add hamonikr packages (#322)

  [ Michael Webster ]
  * Fix a couple of translations and add some context for translators.
  * Bump debhelper version, remove obsolete override in rules.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 21 Jun 2022 15:00:28 +0200

postinstall (8.1.0) elsie; urgency=medium

  * Depend on libgtk3-perl

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 12 Jan 2022 18:37:48 +0000

postinstall (8.0.9) una; urgency=medium

  [ アリス ]
  * Update layout to expand vertically on homescreen (#316)

  [ Michael Webster ]
  * postinstall.py: Escape any foreign text for markup.
  * postinstall.py: Don't escape the details label, it already has markup which would become literal.

  [ JosephMcc ]
  * UI: Use a listbox in some places instead of a flowbox

  [ Clement Lefebvre ]
  * packaging: Don't fail postinst when not able to add flathub

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 16 Nov 2021 13:22:40 +0000

postinstall (8.0.8) uma; urgency=medium

  [ Michael Webster ]
  * postinstall.py: Add more possible match patterns when looking for an apt package's desktop file.
  * postinstall.py: Don't try to access pkginfo before it's been set.

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 14 Jul 2021 09:48:03 +0100

postinstall (8.0.7) uma; urgency=medium

  [ Michael Webster ]
  * Don't modify the list we're traversing when updating the installed apps category.
  * Store the newly populated list in gsettings, not the original.

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 02 Jul 2021 10:38:47 +0100

postinstall (8.0.6) uma; urgency=medium

  * Remove flatpak auto-update script (#303)

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 26 May 2021 14:03:43 +0100

postinstall (8.0.5) ulyana; urgency=medium

  * Fix ref to wrong variable

 -- Clement Lefebvre <root@ufficiozero.com>  Sat, 20 Jun 2020 18:30:07 +0100

postinstall (8.0.4) ulyana; urgency=medium

  [ Michael Webster ]
  * postinstall.py: Clean up some deprecation warnings.

  [ Hyun-Su, Mun ]
  * Change Editors' Picks to All Applications (FR Issue#226) (#276)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate files

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 13 May 2020 15:42:17 +0100

postinstall (8.0.3) tricia; urgency=medium

  [ Michael Webster ]
  * postinstall.py: Fix list exporting.

  [ Clement Lefebvre ]
  * Drop minecraft-installer, add official minecraft-launcher.
  * Don't crash when getting URL

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 25 Nov 2019 14:31:40 +0000

postinstall (8.0.2) tricia; urgency=medium

  * Update app icon

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 19 Nov 2019 10:50:33 +0000

postinstall (8.0.1) tricia; urgency=medium

  [ Michael Webster ]
  * postinstall.py: Go back to the landing page when a flatpak is removed, and its remote no longer exists (having been removed during the package uninstall).

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 13 Nov 2019 13:24:02 +0100

postinstall (8.0.0) tina; urgency=medium

  [ Michael Webster ]
  * postinstall.py: Finish implementation to fetch flatpak icons from appstream, as well as support for remote images.  Implement hidpi support also.
  * Remove fallback flatpak icons - they're no longer necessary.
  * reviews.py: Use json instead of pickle for serialization. (#262)

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 04 Oct 2019 08:54:14 +0100

postinstall (7.9.9) tina; urgency=medium

  [ Michael Webster ]
  * postinstall-remove-app.py: Fix installer import.
  * postinstall-update-flatpak: Check against the current system theme, and install any new theme package(s) if necessary.
  * postinstall-update-flatpak.py: Use subprocess.run for both the update and install phase.

  [ Corbin Auriti ]
  * Replace minecraft with minetest (#255)

 -- Clement Lefebvre <root@ufficiozero.com>  Sat, 20 Jul 2019 17:19:27 +0200

postinstall (7.9.8) tina; urgency=medium

  [ Vincent Vermeulen ]
  * removed 'opera' from internet-web.list

  [ Clement Lefebvre ]
  * Don't depend on xdg-desktop-portal-gtk

  [ gm10 ]
  * Wrap package title and summary (#237)
  * Change deprecated Gtk.Vbox to Gtk.Box (#238)
  * Display search label & animation while searching (#239)
  * Automatically generate list of manually installed packages if possible, (#233)

  [ Clement Lefebvre ]
  * About dialog: Fetch version from mintcommon.version
  * l10n: Update POT
  * Inject the app version during the build
  * Remove leftover import
  * Only hide banner when resolution is less than 768px on the current monitor
  * Reviewed featured tiles
  * UI: Make featured tile 10px smaller

  [ gm10 ]
  * Fix get_low_res_screen() causing an exception if no active window exists (#245)

  [ Clement Lefebvre ]
  * Add support for wine-installer

 -- Clement Lefebvre <root@ufficiozero.com>  Sun, 30 Jun 2019 15:24:13 +0200

postinstall (7.9.7) tessa; urgency=medium

  [ Michael Webster ]
  * postinstall.py: Detect lower resolution monitors, hide the featured app and the editor's picks label in this case.

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 17 Dec 2018 11:20:45 +0000

postinstall (7.9.6) tessa; urgency=medium

  [ Clement Lefebvre ]
  * Fix export_flatpak

  [ Michael Webster ]
  * postinstall: Add a refresh menu item, and distinguish an (incorrectly) empty category from an empty search result so we can provide a more helpful message and allow the user to refresh if necessary.
  * housekeeping: cast PosixPath to string for python3 < 3.6
  * postinstall: terminate() the review and housekeeping processes when closing the program, they won't terminate properly when the parent process is killed.
  * _apt.py: Add "libk3b7" to filter exceptions.
  * cache.py: Check that the system cache can be read before using.
  * all: Don't require flatpak to be installed. (#218)

  [ gm10 ]
  * _apt.py: whitelist libimage-exiftool-perl (#217)

  [ Clement Lefebvre ]
  * l10n: Fix msgids
  * l10n: Update POT file
  * l10n: Update files

  [ Michael Webster ]
  * all: Fix some issues caused by making flatpak optional..

  [ Clement Lefebvre ]
  * l10n: Update files

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 28 Nov 2018 11:58:34 +0000

postinstall (7.9.5) tara; urgency=medium

  [ Michael Webster ]
  * _apt.py: don't filter out package 'librecad'.
  * postinstall.py: search for a list of terms anywhere in a package name, rather than trying to exactly match the search string.
  * package details: append 'Flatpak' to the details heading to be more obvious about the package source/type.
  * makepot: Update to include dialogs.py, update potfile.

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 17 Jul 2018 10:11:25 +0200

postinstall (7.9.4) tara; urgency=medium

  [ Michael Webster ]
  * _flatpak.py: When fetch_remote_ref_sync() fails, fallback to building a synthetic RemoteRef for the runtime.  Remove version comparison from the theme filter.
  * _flatpak.py: Return installed ref list without first trying to convert them to RemoteRefs.  (Related to previous commit, fetch_remote_sync seems to no longer work.)
  * _flatpak.py: Find the real RemoteRef for runtimes and related refs by picking them from a list of true remote refs.
  * _flatpak.py: Fix a bug that was giving an installed size of 0 if related refs were to be installed.
  * _flatpak.py: Use the list-iter method for getting the initial remote ref to the app we're installing. This allows utilizing the metadata property rather than having to fetch it.  Also improve some logging to assist debugging.
  * Fix display of installed one-off flatpaks (backed by .flatpakref files)
  * postinstall: Track installed apps by hash rather than name.
  * postinstall: After removing a standalone flatpak, don't attempt to display it again - its remote gets auto-removed, and we no longer "know" about it.  (this applies only to flatpaks installed via flatpakref files, that add their own remotes)
  * postinstall.py: Fix detection of old package names in the installed apps list.

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 04 Jul 2018 16:40:29 +0200

postinstall (7.9.3) tara; urgency=medium

  * Add suggested-action class to Launch button

 -- Clement Lefebvre <root@ufficiozero.com>  Sat, 16 Jun 2018 11:31:23 +0200

postinstall (7.9.2) tara; urgency=medium

  [ Michael Webster ]
  * flatpaks: Check for duplicates when adding refs to a task.  Some apps will check for theme support on their own and include them as runtimes, so when we do our own check, we need to skip adding them a second time to prevent an error during the installation.

 -- Clement Lefebvre <root@ufficiozero.com>  Sat, 12 May 2018 13:23:11 +0100

postinstall (7.9.1) tara; urgency=medium

  [ Michael Webster ]
  * Support adding remotes via .flatpakref files, along with some additional fixes for other problems uncovered regarding flatpakref files.
  * Save flatpak remote details, and check at startup if they've changed. Refresh the cache if necessary.
  * flatpaks: Install current system gtk and icon theme (if available) during app installation.
  * flatpaks: Show individual remote subcategories, use proper titles for remote names when provided, be smarter about cache changes when they involve one-off remotes like .flatpakref installs.

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 10 May 2018 17:22:39 +0100

postinstall (7.9.0) tara; urgency=medium

  [ Eduardo Orochena ]
  * replaced os module with the subprocess one (#163)

  [ Michael Webster ]
  * Port to python3
  * Simplify search entry handling - GtkSearchEntry implements its own idle callback if we connect to "search-changed," so we don't have to.
  * Improve keyboard nav in result lists, improve sensitivity logic for the "show installed" menu item, fix the installed list becoming stuck as the listing page, even after entering a search query, don't allow showing the installed page if the user has never installed anything (the installed list is empty.)
  * Check removals when displaying package details, and prevent removal or installation if the side effects could break the system.
  * Place header labels outside the scrolled window for the listing and details pages.  Place the labels into revealers, and implement dynamically showing/hiding the labels depending on the scrolling direction.
  * Pre-select the first child in list result, ensure its focus when entering the list page, and when returning to it from the details page.
  * Simplify click/activate handling of package tiles - use the flowbox child activation signal exclusively, by just having the GtkButton clicked signal call GtkFlowBoxChild.activate.
  * Use GtkRevealer instead of notebook for the main page switching.
  * Setup list view asynchronously, but switch to it immediately.
  * Optimize add_package checks by highest match count to lowest (roughly)
  * Load package data from the apt cache asynchronously.  Load landing items immediately.  This allows the application to become usable in about 1 second (down from 3-5)
  * Take chunks of the apt cache rather than one at a time.  250 per callback seems to have little impact on gui, while still keeping time to a minimum.
  * Add loading indicator for cache state
  * Update the list page once loading is complete
  * Add left/right spacing to the details page header box.
  * Clean up add_package stuff, rename to add_deb* to be consistent with flatpaks.  Move critical check directly to the show_package code, this reduces async load time significantly during startup.
  * Speed up package details page - simplify formatting of download/disk space values, and reset the cache when leaving the details page, and only reset upon loading one, if for some reason it isn't clear.
  * Remove an unused variable, comment, add a comment about idle vs threading.

  [ Clement Lefebvre ]
  * Fix export_listing for flatpaks

  [ milangfx ]
  * Use HEAD request to check new-reviews file size (#184)

  [ JosephMcc ]
  * Gtk3.22 fixes: Fix a warning about deprecated functionality (#187)
  * ui: Fix the alignment of the toolbar menu button (#188)

  [ Michael Webster ]
  * Refactor to separate UI code from package management.

  [ JosephMcc ]
  * Ui: Restyle the main toolbar

  [ Michael Webster ]
  * Add script to periodically clean out old screenshots.
  * Code cleanup, pylint, pyflakes, de-duplication, logging consistency.
  * Compile python files to bytecode during postinst.
  * _apt.py: Re-arrange imports and set a min version on Gdk.  This keeps the postinstall-update-pkgcache script from complaining about the aptdaemon.gtk3widgets import.
  * debian/rules: Remove dh_install override, we don't use the packaged review file any more.  Mintinstall can start without a review set, and will pick it up once it's been downloaded and cached at runtime.
  * postinstall-remove-app: return a useful exit code
  * postinstall-remove-app: Fix missing error return.
  * flatpaks: Fix handling of a couple of failure cases - the cancellation of an auth prompt when adding a new remote, and failure to resolve runtime dependencies.
  * flatpaks: Fetch runtime related refs from the remote that actually has the runtime, not the app's remote - if a runtime is not found from the preferred remote, we check other remotes just in case.  If a runtime ref is found elsewhere, it's likely any related refs for it will be there as well.

  [ JosephMcc ]
  * UI: Add a small margin between the application icon and window edge (#191)

  [ Clement Lefebvre ]
  * l10n: Update files

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 07 May 2018 12:02:28 +0100

postinstall (7.8.9) sylvia; urgency=medium

  [ Michael Webster ]
  * postinstall.py: Add a couple more package name filters for apt packages.
  * Fix i386 arch flatpak detection
  * Print detected system architecture at startup.

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 04 Dec 2017 10:46:19 +0000

postinstall (7.8.8) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Export: Ensure the APT cache is in English

  [ Corbin Auriti ]
  *  Remove minitube from editors picks as it is broken (#160)

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 24 Nov 2017 12:02:18 +0000

postinstall (7.8.7) sylvia; urgency=medium

  * Improve get_application_icon()
  * Flatpak: Provide missing icons

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 22 Nov 2017 17:32:46 +0000

postinstall (7.8.6) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Categories: Sorted/Reviewed some of the lists
  * Reset scrolledwindows to the top when appropriate
  * Fix name collisions
  * Postinst: Create share dirs for flatpak
  * Depend on xdg-desktop-portal-gtk

  [ JosephMcc ]
  * Change the logic a bit for finding flatpak icons (#157)

  [ Clement Lefebvre ]
  * Add support for Debconf
  * Flatpak: Add tooltips on spinner

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 21 Nov 2017 12:52:32 +0000

postinstall (7.8.5) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Flatpak: Fix installing apps with missing dependencies

  [ NikoKrause ]
  * Add Timeshift to Editor's picks

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 20 Nov 2017 10:25:57 +0000

postinstall (7.8.4) sylvia; urgency=medium

  [ JosephMcc ]
  * loading: Don't attempt to add the add the same widget twice (#150)
  * Make installation and removal a bit more user friendly (#152)
  * Reduce the vertical size of the window (#154)
  * reviews: Hide the empty frame when there are no reviews to shows (#151)

  [ Clement Lefebvre ]
  * Featured: Remove glade and improve PIA background
  * l10n: Update POT file

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 17 Nov 2017 12:01:10 +0000

postinstall (7.8.3) sylvia; urgency=medium

  * Feature WhatsApp

 -- Clement Lefebvre <root@ufficiozero.com>  Sun, 12 Nov 2017 11:56:36 +0000

postinstall (7.8.2) sylvia; urgency=medium

  * Feature Skype and Google Earth

 -- Clement Lefebvre <root@ufficiozero.com>  Sun, 12 Nov 2017 11:22:54 +0000

postinstall (7.8.1) sylvia; urgency=medium

  * l10n: Fix locale not set in UI

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 06 Nov 2017 11:12:10 +0000

postinstall (7.8.0) sylvia; urgency=medium

  * Add missing dependency on python-configobj
  * Fix progress when installing/removing software.

 -- Clement Lefebvre <root@ufficiozero.com>  Sun, 05 Nov 2017 12:31:27 +0000

postinstall (7.7.9) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Port to Gtk3 and AptDaemon (#129)
  * Create README.md

  [ JosephMcc ]
  * menu: Use python style variable names
  * menu: Properly set mnemonics
  * menu: Quit using GtkStock
  * Fix the placement of scrollbar
  * Clean up the layout of PackageTile a bit
  * applications-list: Don't expand the tiles to fill the scrolled window
  * details-view: Fix mouse wheel scrolling in the margins
  * Redesign the UI on the package page
  * about-dialog: Actually close the dialog when hitting the close button
  * about-dialog: Set the transient for hint
  * toolbar: Use a symbolic icon for the back button

  [ Clement Lefebvre ]
  * Show available screenshots immediately

  [ JosephMcc ]
  * applications-view: Set a min width on the sidebar listbox
  * applications-list: Add an "All" button in the categories sidebar
  * Add suggested/destructive style classes to the install/remove buttons (#134)

  [ Corbin Auriti ]
  * Added support for going back with keys and buttons (#137)

  [ JosephMcc ]
  * Icons cleanup (#135)

  [ Clement Lefebvre ]
  * Replace website button with a link
  * Remove View menu/filters and fix keypress detection
  * Properly fix keypress detection
  * Port settings to GSettings
  * Various fixes
  * Update README
  * Show a link to the community website to add a review
  * l10n: Update makepot and POT file
  * Add missing schema
  * Update README
  * Implement featured tile
  * Localize names, summaries and descriptions

  [ Corbin Auriti ]
  * Fix an icon issue, updates sub cat lists, and add Editors Picks category (#138)

  [ Clement Lefebvre ]
  * Feature Steam:i386, fix randomly picking editor's picks
  * Load featured app from a featured.list file
  * Add the ability to launch applications
  * l10n: Update POT file
  * Fine-tune development category
  * Fix special cases when launching apps
  * Add aliases for long names in featured tiles

  [ monsta ]
  * add missing runtime dependencies on GI packages
  * remove duplicate gi.require_version
  * build: use https link to fetch reviews to avoid "301 Moved" message

  [ Clement Lefebvre ]
  * Featured tiles: Use an overlay to show installed mark
  * Replace menubar with toolbar menu button
  * Add the ability to see installed apps
  * Refresh loaded tiles when the state of an app changes
  * Fix updating state and progress widgets
  * Reduce height of featured app to fit manager within 1204x768
  * Menu: Add a separator and remove the icon on about
  * Fix case where appstream returns a Null description
  * l10n: Update POT file
  * Generate desktop files
  * Fix missing i18n
  * l10n: Fix typo
  * Fix featured app missing reviews/score
  * Fix layout issue

  [ JosephMcc ]
  * subcategories: Ensure the "All" category is selected initially (#142)

  [ Clement Lefebvre ]
  * Fix progressbar remaining on cancelled pkit auth.

  [ Corbin Auriti ]
  * UI Polish (#143)

  [ NikoKrause ]
  * use constant width for the main/big screenshot (#141)

  [ Clement Lefebvre ]
  * Add support for window progress
  * Screenshots: Handle/remove buggy screenshots, treat HTTP 300+ codes as errors
  * Add PIA Manager to the list of featured software

  [ Michael Webster ]
  * search: Don't update immediately after each keystroke, allow for a delay to reduce choppiness.

  [ Clement Lefebvre ]
  * Add support for Flatpak (#146)
  * l10n: Update POT file
  * l10n: Fix a few msgid.
  * Screenshots: Don't treat 300 HTTP status as errors
  * Flatpak: Catch exceptions while scanning remotes
  * Flatpak: Only set up Flathub by default

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 26 Oct 2017 13:16:43 +0100

postinstall (7.7.8) sonya; urgency=medium

  * Add exception handling around the loading of app icons

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 13 Jun 2017 13:51:21 +0100

postinstall (7.7.7) sonya; urgency=medium

  * l10n: Generate desktop files

 -- Clement Lefebvre <root@ufficiozero.com>  Sun, 07 May 2017 12:04:08 +0100

postinstall (7.7.6) sonya; urgency=medium

  [ theel0ja ]
  * Remove hardcoding of featured icon

  [ JosephMcc ]
  * Install an icon for the hicolor icon theme (#125)

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 01 May 2017 18:24:49 +0100

postinstall (7.7.5) sarah; urgency=medium

  * Error handling: Remove dpkg from list of checked processes
  * Error handling: Show actual error and stack trace
  * Force LC_NUMERIC=C in the environment

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 17 Nov 2016 17:26:46 +0000

postinstall (7.7.4) sarah; urgency=medium

  * Show a custom featured list in KDE

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 02 Sep 2016 16:28:22 +0100

postinstall (7.7.3) sarah; urgency=medium

  * Don't draw a yellow background in search entry

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 22 Jun 2016 14:42:20 +0100

postinstall (7.7.2) sarah; urgency=medium

  * Edited list of emulators

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 16 Jun 2016 17:43:02 +0100

postinstall (7.7.1) sarah; urgency=medium

  * Featured apps: Switch virtualbox with virtualbox-qt

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 15 Jun 2016 10:56:00 +0100

postinstall (7.7.0) sarah; urgency=medium

  * Added codecs to featured list

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 19 May 2016 17:06:09 +0100

postinstall (7.6.9) sarah; urgency=medium

  * Ignore :arch suffix in package name when looking for icons
  * Export: Don't ignore arch packages which aren't represented without an arch
  * Simplify names and listings
  * Fixed reviewing apps
  * Reviewed list of featured apps

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 19 May 2016 15:48:03 +0100

postinstall (7.6.8) sarah; urgency=medium

  * Fixed mintsources icon in the menu

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 13 May 2016 12:18:02 +0100

postinstall (7.6.7) sarah; urgency=medium

  [ Daniel Alley ]
  * PEP8 autoformatting
  * Moved non-executable files into usr/share, changed directories to lowercase
  * Changed case of program name in the about dialog

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 10 May 2016 17:41:40 +0100

postinstall (7.6.6) sarah; urgency=medium

  [ Daniel Alley ]
  * Replaced dependency on static python-configobj in mint-common for the upstream version
  * Replaced 'from user import home' with os.path.expanduser('~')

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 10 May 2016 17:38:05 +0100

postinstall (7.6.5) sarah; urgency=medium

  * Updated generated files and pot file

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 22 Apr 2016 12:34:38 +0100

postinstall (7.6.4) sarah; urgency=medium

  [ Corbin Auriti ]
  * Tweaked the Featured List

  [ Clement Lefebvre ]
  * Removed GTK frontend and support for .mint files (obsolete)
  * Removed obsolete files
  * Removed unused files
  * Shebangs
  * Removed more obsolete files
  * Removed icon.svg

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 21 Jan 2016 16:39:37 +0000

postinstall (7.6.3) rosa; urgency=medium

  [ djcj ]
  * fix icon-size-and-directory-name-mismatch

  [ monsta ]
  * Fix frontend.py
  * Fix mintInstall.py
  * Fix postinstall.py
  * Fix remove.py

  [ Corbin ]
  * Add some missing drawing apps
  * Add gcolor2

  [ Gwendal Le Bihan ]
  * Improve initial loading time

  [ Clement Lefebvre ]
  * [darealshinji] Update Debian files, remove Python bytecode
  * Updated desktop files

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 06 Nov 2015 16:28:25 +0000

postinstall (7.6.2) rafaela; urgency=medium

  * Updated desktop files (removed duplicated categories in KDE, added to settings in Xfce)

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 09 Jul 2015 12:11:28 +0200

postinstall (7.6.1) rafaela; urgency=medium

  * Removed duplicated categories in KDE menus

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 09 Jul 2015 12:01:54 +0200

postinstall (7.6.0) rebecca; urgency=medium

  * Disable homepage browsing for now (as root, can result in security/stability issues)

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 03 Nov 2014 17:41:33 +0100

postinstall (7.5.9) rebecca; urgency=medium

  * Fixed l10n
  * Improved impact on packages section, added a modal warning dialog when packages are being removed

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 03 Nov 2014 17:26:02 +0100

postinstall (7.5.8) rebecca; urgency=medium

  * Fix for checkmark icon rendering glitches
  * Added audacity to sound and video category

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 30 Sep 2014 13:12:13 +0200

postinstall (7.5.7) qiana; urgency=medium

  * Don't break when a package's dependencies are broken
  * Don't allow the installation of broken packages
  * Don't erase the search entry field when searching within a category
  * Changed "search while typing" default value to False (less comfortable but more reliable)

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 17 Jun 2014 16:46:17 +0100

postinstall (7.5.6) qiana; urgency=medium

  * Don't allow user to install packages which are known to be broken or which do not install properly in postinstall

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 21 May 2014 17:41:13 +0100

postinstall (7.5.5) qiana; urgency=medium

  * Remove hardcoded width of main category view, this lets the view re-flow when the window size is changed.

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 21 May 2014 11:22:44 +0100

postinstall (7.5.4) qiana; urgency=medium

  * Updated desktop files

 -- Clement Lefebvre <root@ufficiozero.com>  Sun, 04 May 2014 13:24:11 +0100

postinstall (7.5.3) qiana; urgency=medium

  * Improve scores UI
  * Fix how chromium is found

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 14 Apr 2014 13:15:20 +0100

postinstall (7.5.2) petra; urgency=low

  * Fixed 64px size icon in package view (fixes huge icons in KDE)

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 05 Dec 2013 10:04:35 +0000

postinstall (7.5.1) petra; urgency=low

  * Download screenshots asynchronously

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 11 Nov 2013 17:53:47 +0000

postinstall (7.5.0) petra; urgency=low

  * Various UI improvements
  * Various speed improvements

 -- Clement Lefebvre <root@ufficiozero.com>  Sat, 09 Nov 2013 15:41:26 +0000

postinstall (7.4.9) petra; urgency=low

  * Fix desktop file

 -- Frédéric Gaudet <fred@ufficiozero.com>  Fri, 08 Nov 2013 09:53:36 +0100

postinstall (7.4.8) olivia; urgency=low

  * 7.4.8

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 22 May 2013 10:33:12 +0100

postinstall (7.4.7) olivia; urgency=low

  * 7.4.7

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 21 May 2013 12:08:22 +0100

postinstall (7.4.6) olivia; urgency=low

  * 7.4.6

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 06 May 2013 13:35:03 +0100

postinstall (7.4.5) olivia; urgency=low

  * Automatically load more packages when we get to the bottom of the list
  * Fix score getting cut-off
  * Search in category
  * Include packages in the "java" section into the "Programming" category

 -- Clement Lefebvre <root@ufficiozero.com>  Wed, 13 Mar 2013 11:08:27 +0000

postinstall (7.4.4) nadia; urgency=low

  * Remove auto_fix=False parameter in mark_install (prevents ending up with broken packages when installing conflicting recommends)

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 15 Nov 2012 21:41:39 +0000

postinstall (7.4.3) nadia; urgency=low

  * Fixed segfault due to character encoding

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 02 Nov 2012 14:49:08 +0000

postinstall (7.4.2) nadia; urgency=low

  * Search while typing is now configurable

 -- Clement Lefebvre <root@ufficiozero.com>  Sun, 21 Oct 2012 12:01:13 +0100

postinstall (7.4.1) nadia; urgency=low

  * Ship an initial set of reviews by default
  * Run postinstall as root and use kdesudo in KDE
  * Removed large-font "Software Manager" label in main window
  * Replaced background "frise" with EEE->FFF gradient

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 18 Oct 2012 23:50:44 +0100

postinstall (7.4.0) nadia; urgency=low

  * New icon
  * Refresh view after installation/removal
  * Debconf support
  * Aptclient replaces aptd

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 16 Oct 2012 15:28:20 +0100

postinstall (7.3.9) maya; urgency=low

  * Force icon size to 32px

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 25 Jun 2012 15:46:37 +0100

postinstall (7.3.8) maya; urgency=low

  * Specify dbus bus when using aptd
  * Use apt signals instead of a threaded transaction loop

 -- Clement Lefebvre <root@ufficiozero.com>  Tue, 19 Jun 2012 16:40:37 +0100

postinstall (7.3.7) maya; urgency=low

  * Don't accept to be run as root
  * Don't crash when an icon can't be loaded (fixes Accessories and All Apps categories not showing in Maya)

 -- Clement Lefebvre <root@ufficiozero.com>  Fri, 25 May 2012 10:06:44 +0100

postinstall (7.3.6) lisa; urgency=low

  * Multiple fixes from glebihan and doverton51

 -- Clement Lefebvre <root@ufficiozero.com>  Thu, 26 Apr 2012 14:20:00 +0000

postinstall (7.3.5) lisa; urgency=low

  * Featured Opera

 -- Clement Lefebvre <root@ufficiozero.com>  Mon, 02 Jan 2012 17:41:41 +0000

postinstall (7.3.4) lisa; urgency=low

  * Removed commercial apps from categories view

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  8 Nov 2011 12:54:00 +0000

postinstall (7.3.3) katya; urgency=low

  * Replaced deprecated Python refs to pkg.isInstalled with pkg.is_installed

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  15 Jun 2011 11:49:00 +0000

postinstall (7.3.2) katya; urgency=low

  * Added dependency on python-sexy

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  28 Apr 2011 14:14:00 +0000

postinstall (7.3.1) katya; urgency=low

  * Mint 11 improvements

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  26 Apr 2011 15:43:00 +0000

postinstall (7.2.7) julia; urgency=low

  * Immediately closes when requested

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  26 Oct 2010 17:07:00 +0000

postinstall (7.2.6) julia; urgency=low

  * Immediately closes when requested

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  26 Oct 2010 17:07:00 +0000

postinstall (7.2.5) julia; urgency=low

  * Unicode support in generated images
  * ttf-wqy-microhei fonts are used if installed (bringing additional unicode support)

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  26 Oct 2010 16:18:00 +0000

postinstall (7.2.4) julia; urgency=low

  * Added dropbox to featured applications

 -- Clement Lefebvre <root@ufficiozero.com>  Fri,  22 Oct 2010 12:47:00 +0000

postinstall (7.2.3) julia; urgency=low

  * Search is now case-insensitive

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  19 Oct 2010 15:29:00 +0000

postinstall (7.2.2) julia; urgency=low

  * Fixed import error

 -- Clement Lefebvre <root@ufficiozero.com>  Mon,  11 Oct 2010 09:59:00 +0000

postinstall (7.2.1) julia; urgency=low

  * APTD 0.3 compatible

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  05 Oct 2010 15:30:00 +0000

postinstall (7.2.0) julia; urgency=low

  * Virtualbox-nonfree featured

 -- Clement Lefebvre <root@ufficiozero.com>  Sun,  03 Oct 2010 13:26:00 +0000

postinstall (7.1.9) julia; urgency=low

  * Better categorization

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  21 Sep 2010 16:29:00 +0000

postinstall (7.1.8) julia; urgency=low

  * Show application icons if postinstall-icons is installed

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  08 Sep 2010 10:21:00 +0000

postinstall (7.1.7) isadora; urgency=low

  * Show package versions

 -- Clement Lefebvre <root@ufficiozero.com>  Sat,  12 Jun 2010 10:42:00 +0000

postinstall (7.1.6) isadora; urgency=low

  * Fixed double-click issue with webkit
  * Limited categories to 500 items (speed improvement)
  * Only showing 10 comments by default
  * Reduced lag with aptd
  * New option to use external browser for links

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  2 Jun 2010 12:18:00 +0000

postinstall (7.1.5) isadora; urgency=low

  * Using hashtables, significant speed improvements

 -- Clement Lefebvre <root@ufficiozero.com>  Fri,  28 May 2010 14:57:00 +0000

postinstall (7.1.4) isadora; urgency=low

  * Updated desktop file

 -- Clement Lefebvre <root@ufficiozero.com>  Fri,  14 May 2010 10:45:00 +0000

postinstall (7.1.3) isadora; urgency=low

  * Starts faster
  * More responsive (transaction loop initiates earlier)

 -- Clement Lefebvre <root@ufficiozero.com>  Sat,  08 May 2010 13:02:00 +0000

postinstall (7.1.2) isadora; urgency=low

  * Localization

 -- Clement Lefebvre <root@ufficiozero.com>  Sat,  08 May 2010 09:47:00 +0000

postinstall (7.1.1) isadora; urgency=low

  * Localization

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  06 May 2010 14:19:00 +0000

postinstall (7.1.0) isadora; urgency=low

  * Added Java and Skype to featured list

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  06 May 2010 13:38:00 +0000

postinstall (7.0.9) isadora; urgency=low

  * Localization

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  06 May 2010 12:39:00 +0000

postinstall (7.0.8) isadora; urgency=low

  * Localization

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  05 May 2010 19:02:00 +0000

postinstall (7.0.7) isadora; urgency=low

  * Faster boot
  * Better looking
  * Load reviews before starting up

 -- Clement Lefebvre <root@ufficiozero.com>  Sat,  01 May 2010 14:35:00 +0000

postinstall (7.0.6) isadora; urgency=low

  * Fixed typo

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  28 Apr 2010 14:42:00 +0000

postinstall (7.0.5) isadora; urgency=low

  * Removed duplicate entry for calibre in viewers

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  27 Apr 2010 11:13:00 +0000

postinstall (7.0.4) isadora; urgency=low

  * Updated categories

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  27 Apr 2010 11:13:00 +0000

postinstall (7.0.3) isadora; urgency=low

  * Updated categories

 -- Clement Lefebvre <root@ufficiozero.com>  Mon,  12 Apr 2010 14:38:00 +0000

postinstall (7.0.2) isadora; urgency=low

  * Replaced ttf-droid with ttf-freefont in dependencies
  * Added dependency on python-imaging

 -- Clement Lefebvre <root@ufficiozero.com>  Mon,  12 Apr 2010 10:31:00 +0000

postinstall (7.0.1) isadora; urgency=low

  * Apps can now be reviewed from within the Software Manager

 -- Clement Lefebvre <root@ufficiozero.com>  Mon,  5 Apr 2010 16:33:00 +0000

postinstall (7.0.0) isadora; urgency=low

  * Complete rewrite

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  31 Mar 2010 16:36:00 +0000

postinstall (6.5.1) helena; urgency=low

  * Decompress uses both gzip and tar directly, so it works for tar and for tar.gz archives

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  19 Nov 2009 18:33:00 +0000

postinstall (6.5.0) helena; urgency=low

  * mintInstall window, removed title and used "Upgrade" instead of "Install" in the text labels when suitable

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  19 Nov 2009 16:18:00 +0000

postinstall (6.4.9) helena; urgency=low

  * Fixed missing i18n

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  17 Nov 2009 12:27:00 +0000

postinstall (6.4.8) helena; urgency=low

  * Made window fully opaque

 -- Clement Lefebvre <root@ufficiozero.com>  Sat,  14 Nov 2009 10:10:00 +0000

postinstall (6.4.7) helena; urgency=low

  * Modified translation framework

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  3 Nov 2009 10:59:00 +0000

postinstall (6.4.6) helena; urgency=low

  * Changed path of release.id to use postinstall-data instead of mint-info

 -- Clement Lefebvre <root@ufficiozero.com>  Sun,  1 Nov 2009 14:26:00 +0000

postinstall (6.4.5) helena; urgency=low

  * Uses mint-common to launch browsers in user-mode

 -- Clement Lefebvre <root@ufficiozero.com>  Fri,  30 Oct 2009 17:41:00 +0000

postinstall (6.4.4) helena; urgency=low

  * Not dependent on mintMenu anymore

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  8 Oct 2009 14:27:00 +0000

postinstall (6.4.3) helena; urgency=low

  * Removed dependency on mintsystem (using mint-common)
  * Updated calls to newer apt lib

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  7 Oct 2009 17:41:00 +0000

postinstall (6.4.2) helena; urgency=low

  * Fixed remove icon for color-blind people
  * Install/remove applications doesn't scroll the list anymore
  * User can now cancel changes individually

 -- Clement Lefebvre <root@ufficiozero.com>  Mon,  28 Sep 2009 17:08:00 +0000

postinstall (6.4.1) helena; urgency=low

  * Changed status icons
  * Fixed scrolling issues

 -- Clement Lefebvre <root@ufficiozero.com>  Fri,  25 Sep 2009 15:15:00 +0000

postinstall (6.4.0) helena; urgency=low

  * GUI improvements
  * Multiple installs
  * Filtering

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  24 Sep 2009 15:28:00 +0000

postinstall (6.3.9) helena; urgency=low

  * Data moved to postinstall-data

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  29 Jul 2009 19:38:00 +0000

postinstall (6.3.8) helena; urgency=low

  * Blueprint implemented: https://blueprints.launchpad.net/ufficiozero/+spec/generic-branding
  * Blueprint implemented: https://blueprints.launchpad.net/ufficiozero/+spec/postinstall-uninstall

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  29 Jul 2009 19:38:00 +0000

postinstall (6.3.7) gloria; urgency=low

  * Bug fix: "Finished" in the progress bar of installing/upgrading is not internationalised. (https://bugs.launchpad.net/bugs/399298)
  * Bug fix: Lag when no connection to the Internet (https://bugs.launchpad.net/bugs/399277)

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  16 Jul 2009 12:53:00 +0000

postinstall (6.3.6) gloria; urgency=low

  * Bug fix: No label under toolbar icons (https://bugs.launchpad.net/bugs/399705)

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  16 Jul 2009 12:32:00 +0000

postinstall (6.3.5) gloria; urgency=low

  * Bug fix: Firefox now runs in user-mode

 -- Clement Lefebvre <root@ufficiozero.com>  Sun,  12 Jul 2009 19:11:00 +0000

postinstall (6.3.4) gloria; urgency=low

  * Updated translations

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  19 May 2009 18:40:00 +0000

postinstall (6.3.3) gloria; urgency=low

  * Updated meta-data

 -- Clement Lefebvre <root@ufficiozero.com>  Mon,  18 May 2009 15:42:00 +0000

postinstall (6.3.2) gloria; urgency=low

  * Added translations

 -- Clement Lefebvre <root@ufficiozero.com>  Sun,  17 May 2009 20:57:00 +0000

postinstall (6.3.1) gloria; urgency=low

  * Now downloads missing screenshots in a different thread, results in interface being more snappy

 -- Clement Lefebvre <root@ufficiozero.com>  Thu,  14 May 2009 19:03:00 +0000

postinstall (6.3) gloria; urgency=low

  * Changed virtualbox to virtualbox-2.2 in featured_applications/list.txt

 -- Clement Lefebvre <root@ufficiozero.com>  Sat,  2 May 2009 14:02:00 +0000

postinstall (6.2) gloria; urgency=low

  * Now uses /usr/bin/mint-which-launcher

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  22 Apr 2009 17:08:00 +0000

postinstall (6.1) gloria; urgency=low

  * Changed virtualbox-2.1 to virtualbox in featured_applications/list.txt

 -- Clement Lefebvre <root@ufficiozero.com>  Wed,  22 Apr 2009 16:21:00 +0000

postinstall (6.0) gloria; urgency=low

  * Only try once to download missing screenshot

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  21 Apr 2009 17:00:00 +0000

postinstall (5.9) gloria; urgency=low

  * Made mintInstall a root application
  * Now uses /usr/lib/ufficiozero/mintInstall/data instead of ~/.ufficiozero/mintInstall/
  * Comes pre-loaded with data
  * Missing screenshots are automatically downloaded

 -- Clement Lefebvre <root@ufficiozero.com>  Mon,  20 Apr 2009 23:09:00 +0000

postinstall (5.8) gloria; urgency=low

  * Fixed regression in 5.7 showing raw description instead of summary in featured applications

 -- Clement Lefebvre <root@ufficiozero.com>  Mon,  20 Apr 2009 18:54:00 +0000

postinstall (5.7) gloria; urgency=low

  * GUI improvements, shows less info on main screen, more in "more info" screen
  * Now shows package sizes and full descriptions

 -- Clement Lefebvre <root@ufficiozero.com>  Mon,  20 Apr 2009 18:31:00 +0000

postinstall (5.6) gloria; urgency=low

  * Moved all references of /usr/lib/ufficiozero/mintSystem/version to /etc/ufficiozero/version (after this was moved from mintsystem to mint-info)

 -- Clement Lefebvre <root@ufficiozero.com>  Tue,  14 Apr 2009 10:30:00 +0000

postinstall (5.5) gloria; urgency=low

  * About dialog now uses mint-apt-version
  * Added featured applications
  * Added /usr/bin/mint-synaptic-install

 -- Clement Lefebvre <clem@ufficiozero.com>  Mon,  13 Apr 2009 20:22:00 +0000

postinstall (5.4.3) gloria; urgency=low

  * About dialog now uses APT to know the version number
  * Better looking clear and find buttons

 -- Clement Lefebvre <clem@ufficiozero.com>  Sat,  11 Apr 2009 18:41:00 +0000

postinstall (5.4.2) gloria; urgency=low

  * /usr/bin/postinstall shortcut to /usr/bin/mintInstall and now opens frontend if no mint file is given

 -- Clement Lefebvre <clem@ufficiozero.com>  Sat,  11 Apr 2009 18:37:00 +0000

postinstall (5.4.1) gloria; urgency=low

  * Added mint-search-portal

 -- Clement Lefebvre <clem@ufficiozero.com>  Thu,  26 Mar 2009 17:39:00 +0000

postinstall (5.4.0) gloria; urgency=low

  * Error handling in mint-make-cmd
  * Added mint-search-apt and mint-show-apt

 -- Clement Lefebvre <clem@ufficiozero.com>  Tue,  17 Mar 2009 10:42:00 +0000

postinstall (5.3.7) felicia; urgency=low

  * Use kdesudo instead of the deprecated kdesu in KDE.

 -- Clement Lefebvre <clem@ufficiozero.com>  Tue,  24 Feb 2009 18:49:00 +0000

postinstall (5.3.6) felicia; urgency=low

  * Doesn't download what's already there on the local machine. Refresh process (not the initial one) is now much faster.

 -- Clement Lefebvre <clem@ufficiozero.com>  Sun,  11 Jan 2009 17:33:00 +0000

postinstall (5.3.5) felicia; urgency=low

  * Added translations
  * Replaced zenity with modal dialog for screenshot not loaded error

 -- Clement Lefebvre <clem@ufficiozero.com>  Fri,  5 Dec 2008 23:14:00 +0000

postinstall (5.3.4) felicia; urgency=low

  * Changed frontend size to fit in 800x576

 -- Clement Lefebvre <clem@ufficiozero.com>  Thu,  4 Dec 2008 19:55:00 +0000

postinstall (5.3.3) felicia; urgency=low

  * Replaced zenity with modal dialog for initial refresh message

 -- Clement Lefebvre <clem@ufficiozero.com>  Sun,  9 Nov 2008 12:26:00 +0000

postinstall (5.3.2) felicia; urgency=low

  * added version info in about dialog
  * show a linkButton for items website in frontend
  * fixed missing icon in search dialog
  * Added nb, ca, ro, pt_PT, pt_BR, es, ko and sk translations

 -- Clement Lefebvre <clem@ufficiozero.com>  Mon,  27 Oct 2008 13:02:00 +0000

postinstall (5.3.1) elyssa; urgency=low

  * frontend now selects first application in the list by default
  * Added DE and JA translations

 -- Clement Lefebvre <clem@ufficiozero.com>  Sat,  11 Oct 2008 18:20:00 +0000

postinstall (5.3) elyssa; urgency=low

  * Added patch from Christian Dannie Storgaard (cybolic) to show apt search results in a nice GTK list.

 -- Clement Lefebvre <clem@ufficiozero.com>  Thu,  9 Oct 2008 21:32:00 +0000

postinstall (5.2.1) elyssa; urgency=low

  * Fixes a bug in /usr/bin/mintInstall (now checks /etc/ufficiozero/info)

 -- Clement Lefebvre <clem@ufficiozero.com>  Tue,  2 Sep 2008 18:54:00 +0000

postinstall (5.2) elyssa; urgency=low

  * Uses kdesu instead of gksu under KDE
  * Shows a nicer password dialog for kdesu/gksu
  * Known categories are now localized

 -- Clement Lefebvre <clem@ufficiozero.com>  Mon,  1 Sep 2008 18:54:00 +0000

postinstall (5.1) elyssa; urgency=low

  * Hides email addresses in reviews
  * Alternate colours in table
  * Information message instead of error message at startup
  * Progressbar while refreshing and loading
  * Versions window and button

 -- Clement Lefebvre <clem@ufficiozero.com>  Sun,  31 Aug 2008 18:43:00 +0000

postinstall (5.0) elyssa; urgency=low

  * New frontend for browsing portals from the desktop
  * Multi-portals support (portals.list)
  * Relies in mintSystem for all common data/resources

 -- Clement Lefebvre <clem@ufficiozero.com>  Tue,  26 Aug 2008 22:58:00 +0000

postinstall (4.0) elyssa; urgency=low

  * Auto-detects which is the best repository to use, doesn't ask the user anymore
  * Doesn't show confirmation dialog anymore
  * Frontend: says "no results" when apt search returns nothing
  * Frontend: textfield value is kept the same between different tabs
  * Translations: new cs, new ca, updated bg

 -- Clement Lefebvre <clem@ufficiozero.com>  Fri,  11 Jul 2008 18:20:00 +0000

postinstall (3.9) elyssa; urgency=low

  * Uses default browser, not just firefox
  * Uses aptitude for search and show now

 -- Clement Lefebvre <clem@ufficiozero.com>  Thu,  22 May 2008 15:59:00 +0000

postinstall (3.8) elyssa; urgency=low

  * Make postinst statements conditional (cause they don't necessarily apply in KDE)

 -- Clement Lefebvre <clem@ufficiozero.com>  Tue,  29 Apr 2008 17:41:00 +0000

postinstall (3.7) elyssa; urgency=low

  * Mint icon in confirmation dialog
  * Now uses local repositories for mint files without repos (faster)
  * new translations: ga pt_BR tr pl de da it sk
  * corrections on nl

 -- Clement Lefebvre <clem@ufficiozero.com>  Sat,  29 Mar 2008 16:23:00 +0000

postinstall (3.6) elyssa; urgency=low

  * New URL for LM repository

 -- Clement Lefebvre <clem@ufficiozero.com>  Fri,  28 Mar 2008 12:45:00 +0000

postinstall (3.5) elyssa; urgency=low

  * New translations: bg  el  es  nl  pt  ru  sv  uk
  * Multi words search
  * lag fix for mint search and button

 -- Clement Lefebvre <clem@ufficiozero.com>  Mon,  18 Feb 2008 18:26:00 +0000

postinstall (3.4) daryna; urgency=low

  * HIG work done
  * Added support for GetDeb
  * Added support for APT
  * Better translation system
  * Now relies on mintSystem for sources.list and release.id

 -- Clement Lefebvre <clem@ufficiozero.com>  Wed,  30 Jan 2008 23:11:00 +0000

postinstall (3.3) daryna; urgency=low

  * removed Polish translation

 -- clem <root@ufficiozero.com>  Sat,  24 Nov 2007 01:04:00 +0000

postinstall (3.2) daryna; urgency=low

  * new Polish translation

 -- clem <root@ufficiozero.com>  Sat,  24 Nov 2007 00:30:00 +0000

postinstall (3.1) daryna; urgency=low

  * new sources.list

 -- clem <root@ufficiozero.com>  Wed,  14 Nov 2007 02:44:00 +0000

postinstall (3.0) daryna; urgency=low

  * new German translation

 -- clem <root@ufficiozero.com>  Mon,  12 Nov 2007 22:19:00 +0000

postinstall (2.9) daryna; urgency=low

  * small bug in URL

 -- clem <root@ufficiozero.com>  Wed,  24 Oct 2007 01:23:00 +0000

postinstall (2.8) daryna; urgency=low

  * gutsy sources.list
  * URL to software portal now take release number in consideration

 -- clem <root@ufficiozero.com>  Wed,  24 Oct 2007 00:09:00 +0000

postinstall (2.7) daryna; urgency=low

  * new welcome GUI
  * presence in the menu
  * icon for mimetype
  * better repository restoration
  * summary window centered

 -- clem <root@ufficiozero.com>  Wed,  17 Oct 2007 23:47:00 +0000

postinstall (2.6) daryna; urgency=low

  * now uses synaptic
  * i18n

 -- clem <root@ufficiozero.com>  Tue,  16 Oct 2007 20:44:00 +0000

postinstall (2.5) celena; urgency=low

  * added celena in the repos

 -- clem <root@ufficiozero.com>  Sun,  9 Sep 2007 22:51:00 +0000

postinstall (2.4) cassandra; urgency=low

  * No need for icons in mint-make
  * Version info removed

 -- clem <root@ufficiozero.com>  Fri,  29 Jun 2007 14:24:00 +0000

postinstall (2.3) cassandra; urgency=low

  * Crashed when the package wasn't in the default repos. Fixed.

 -- clem <root@ufficiozero.com>  Fri,  22 Jun 2007 13:02:00 +0000

postinstall (2.2) cassandra; urgency=low

  * Quick fix.

 -- clem <root@ufficiozero.com>  Mon,  11 Jun 2007 00:07:00 +0000

postinstall (2.1) cassandra; urgency=low

  * Can now upgrade packages
  * Mint files can now execute commands and know the username and home directory
  * improved performance on package status detection
  * improved package status detection
  * uses the new medibuntu repo

 -- clem <root@ufficiozero.com>  Sun,  10 Jun 2007 23:23:00 +0000

postinstall (2.0) cassandra; urgency=low

  * Fix in /usr/bin/mintInstall --> better Firefox integration

 -- clem <root@ufficiozero.com>  Thu,  7 Jun 2007 23:02:00 +0000

postinstall (1.9) cassandra; urgency=low

  * Added mint-make, mint-decompress and mint-compress

 -- clem <root@ufficiozero.com>  Wed,  16 May 2007 23:48:27 +0000

postinstall (1.8) cassandra; urgency=low

  * Window is minizable
  * Progressbar works better
  * Backup and restore shown to user

 -- clem <root@ufficiozero.com>  Tue,  15 May 2007 16:36:41 +0000

postinstall (1.7) cassandra; urgency=low

  * Better backup of the sources.list
  * Can now restore sources.list if something goes wrong.
  * Progressbar fix.

 -- clem <root@ufficiozero.com>  Tue,  15 May 2007 13:58:36 +0000

postinstall (1.6) cassandra; urgency=low

  * mintInstall now deletes locks at startup
  * copies sources.list to backup instead of moving it

 -- clem <root@ufficiozero.com>  Tue,  8 May 2007 12:20:00 +0000

postinstall (1.5) cassandra; urgency=low

  * Fixed package detection

 -- clem <root@ufficiozero.com>  Mon,  7 May 2007 23:56:00 +0000

postinstall (1.4) cassandra; urgency=low

  * Merged all windows into one
  * Redesigned the GUI
  * Now shows repositories and packages
  * Informs the user on the success of the overall installation

 -- clem <root@ufficiozero.com>  Sat,  5 May 2007 15:22:11 +0000

postinstall (1.3) cassandra; urgency=low

  * Fixed bug in KEY Command
  * Repositories now add to sources.list instead of replacing it.

 -- clem <root@ufficiozero.com>  Thu,  3 May 2007 14:55:27 +0000

postinstall (1.2) cassandra; urgency=low

  * Fixed a bug (didn't update after adding a source)

 -- clem <root@ufficiozero.com>  Thu,  3 May 2007 14:22:48 +0000

postinstall (1.1) cassandra; urgency=low

  * Added the KEY command

 -- clem <root@ufficiozero.com>  Thu,  3 May 2007 13:44:54 +0000

postinstall (1.0) cassandra; urgency=low

  * Initial release

 -- clem <root@ufficiozero.com>  Thu,  3 May 2007 12:59:21 +0000

